Closed Bug 1156620 Opened 5 years ago Closed 2 years ago

[Flame][Download Manager]Open the vcf file from Notification bar, the "Not enabled yet" alert pops up.

Categories

(Firefox OS Graveyard :: Gaia::Contacts, defect)

ARM
Gonk (Firefox OS)
defect
Not set

Tracking

(b2g-v2.1 unaffected, b2g-v2.2 affected, b2g-master unaffected)

RESOLVED WONTFIX
Tracking Status
b2g-v2.1 --- unaffected
b2g-v2.2 --- affected
b2g-master --- unaffected

People

(Reporter: yue.xia, Unassigned, NeedInfo)

Details

Attachments

(4 files)

[1.Description]:
[Flame][v2.2][Download Manager]Download a contact vcf file from Browser, open the vcf file from Notification, the "Not enabled yet" alert pops up.
See attachment: logcat_0825.txt & Issue_video.mp4 & contacts.vcf
Found at: 08:25

[2.Testing Steps]: 
1. Launch Browser.
2. Link to http://goo.gl/mDx5Bh 
3. Tap "contacts.vcf" and download it.
4. After download completed, open it from Notification bar.

[3.Expected Result]: 
4. The "Not enabled yet" alert could not pop up, the vcf file could be opened normally.

[4.Actual Result]: 
4. The "Not enabled yet" alert pops up.

[5.Reproduction build]: 
Device: Flame 2.2 (Affected)
Build ID               20150420002502
Gaia Revision          c15a2b6d3a783813959c2b3bffd2a131f4270b9e
Gaia Date              2015-04-17 17:49:32
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/cc02ee38b252
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150420.041634
Firmware Date          Mon Apr 20 04:16:45 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 3.0 (Unaffected)
Build ID               20150420160201
Gaia Revision          a8e4f95dce9db727dda5d408b038f97fb4296557
Gaia Date              2015-04-20 19:30:21
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/e7112314d9d5
Gecko Version          40.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150420.191858
Firmware Date          Mon Apr 20 19:19:10 EDT 2015
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test

[8.Note]:
This problem also can be reproduced on Flame 2.2 when downloading a vcf file from Mail app(Mail app received a mail with a vcf file which contains several contacts), download it and tap the "eye" icon to open it, the "Not enabled yet" alert posp up.
Attached file logcat_0825.txt
Attached video Issue_video.mp4
Attached file contacts.vcf
Attached image 2015-04-21-15-50-44.png
NI RD for info, is there a similar backlog item?
Flags: needinfo?(francisco)
Oh, 3.0 is not affected, ignore my comment #6. And on 2.1, it is the "Unable to open, there is a problem opening sample.vcf. Would you like to save the file or delete it" popup, different design.
See comment 7.
QA Whiteboard: [QAnalyst-Triage?]
Flags: needinfo?(ktucker)
Keywords: qawanted
QA Whiteboard: [QAnalyst-Triage?] → [QAnalyst-Triage+]
Flags: needinfo?(ktucker)
Flags: needinfo?(francisco) → needinfo?
Firefox OS is not being worked on
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.